# {{classname}}

All URIs are relative to *https://ecmwfvertforecast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**OnpointsOnpointIdHeightHeightHoursGet**](OnpointsApi.md#OnpointsOnpointIdHeightHeightHoursGet) | **Get** /onpoints/{onpointId}/height/{height}/hours | The complete hourly ECMWF Vert forecast for an OnPoint™ ID.
[**OnpointsOnpointIdHeightHeightHoursTimestampGet**](OnpointsApi.md#OnpointsOnpointIdHeightHeightHoursTimestampGet) | **Get** /onpoints/{onpointId}/height/{height}/hours/{timestamp} | An hour of ECMWF Vert forecast data for an OnPoint™ ID.
[**OnpointsOnpointIdHeightHeightHoursTimestampStarttimestampEndGet**](OnpointsApi.md#OnpointsOnpointIdHeightHeightHoursTimestampStarttimestampEndGet) | **Get** /onpoints/{onpointId}/height/{height}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly ECMWF Vert forecast data for an OnPoint™ ID.

# **OnpointsOnpointIdHeightHeightHoursGet**
> EcmwfForecastOnpointHourObj OnpointsOnpointIdHeightHeightHoursGet(ctx, onpointId, fields, height, optional)
The complete hourly ECMWF Vert forecast for an OnPoint™ ID.

Returns the complete set of ECMWF Vert forecast data for an OnPoint™ ID.  *Alternatively using a query that specificies just the hours required for your purposes will improve the query response time.*  **IMPORTANT:** To authenticate to the Weather Source ECMWF Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect, radSolarDirectP)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
  **height** | **float64**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. | 
 **optional** | ***OnpointsApiOnpointsOnpointIdHeightHeightHoursGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdHeightHeightHoursGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfForecastOnpointHourObj**](ecmwfForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdHeightHeightHoursTimestampGet**
> EcmwfForecastOnpointHourObj OnpointsOnpointIdHeightHeightHoursTimestampGet(ctx, onpointId, timestamp, fields, height, optional)
An hour of ECMWF Vert forecast data for an OnPoint™ ID.

Returns a single hour of ECMWF Vert forecast data for an OnPoint™ ID. The provided timestamp must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **timestamp** | **time.Time**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect, radSolarDirectP)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
  **height** | **float64**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. | 
 **optional** | ***OnpointsApiOnpointsOnpointIdHeightHeightHoursTimestampGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdHeightHeightHoursTimestampGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------




 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfForecastOnpointHourObj**](ecmwfForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **OnpointsOnpointIdHeightHeightHoursTimestampStarttimestampEndGet**
> EcmwfForecastOnpointHourObj OnpointsOnpointIdHeightHeightHoursTimestampStarttimestampEndGet(ctx, onpointId, timestampStart, timestampEnd, fields, height, optional)
A contiguous range of hourly ECMWF Vert forecast data for an OnPoint™ ID.

Returns a contiguous range of hourly ECMWF Vert forecast data for an OnPoint™ ID. The provided timestamps must exist within the current valid 10-day forecast range.  **IMPORTANT:** To authenticate to the Weather Source ECMWF Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **timestampStart** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
  **timestampEnd** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, precipProb, snowfall, snowfallProb)* * allPres *(mslPres, pres)* * allRad *(radSolar, radSolarDirect, radSolarDirectP)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windSpd)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
  **height** | **float64**| The height in meters at which to vertically interpolate. The height MUST be in meters, even if selecting IMPERIAL unit type. | 
 **optional** | ***OnpointsApiOnpointsOnpointIdHeightHeightHoursTimestampStarttimestampEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdHeightHeightHoursTimestampStarttimestampEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**EcmwfForecastOnpointHourObj**](ecmwfForecastOnpointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

