/*
 * ECMWF Vert Forecast - A Weather Source API
 *
 * Hourly vertically interpolated forecast data from the ECMWF model for latitude/longitude points,OnPoint Ids. Hourly forecast is up to 10 days out from current day. The Weather Source ECMWF Vert Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source ECMWF Vert Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
import (
	"time"
)

// An hourly weather ECMWF Vert forecast object.
type EcmwfForecastHourObj struct {
	Timestamp *time.Time `json:"timestamp"`
	TimestampInit *time.Time `json:"timestampInit,omitempty"`
	CldCvr float32 `json:"cldCvr,omitempty"`
	DewPt float32 `json:"dewPt,omitempty"`
	FeelsLike float32 `json:"feelsLike,omitempty"`
	HeatIndex float32 `json:"heatIndex,omitempty"`
	MslPres float32 `json:"mslPres,omitempty"`
	Precip float32 `json:"precip,omitempty"`
	PrecipProb float32 `json:"precipProb,omitempty"`
	RadSolar float32 `json:"radSolar,omitempty"`
	RadSolarDirect float32 `json:"radSolarDirect,omitempty"`
	RadSolarDirectP float32 `json:"radSolarDirectP,omitempty"`
	RelHum float32 `json:"relHum,omitempty"`
	Pres float32 `json:"pres,omitempty"`
	Snowfall float32 `json:"snowfall,omitempty"`
	SnowfallProb float32 `json:"snowfallProb,omitempty"`
	SpcHum float32 `json:"spcHum,omitempty"`
	Temp float32 `json:"temp,omitempty"`
	WetBulb float32 `json:"wetBulb,omitempty"`
	WindChill float32 `json:"windChill,omitempty"`
	WindDir float32 `json:"windDir,omitempty"`
	WindSpd float32 `json:"windSpd,omitempty"`
}
